# encoding: UTF-8
#
# Copyright 2015, Ole Claussen <claussen.ole@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

#<
# Defines solarized palettes for applications in form of [shared properties]
# (https://github.com/oclaussen/chef-cookie-cutter#shared-properties). The defined
# blocks are:
# * `:xresources_solarized_dark` the solarized dark color palette for xresources
# * `:xresources_solarized_light_colors` the solarized light color palette for xresources
#>

namespace 'dotfiles', 'colors', 'solarized' do |solarized|
  share_properties :xresources_solarized_dark do
    xresource '*foreground', solarized['s_base0']
    xresource '*background', solarized['s_base03']
    xresource '*fadeColor', solarized['s_base03']
    xresource '*cursorColor', solarized['s_base1']
    xresource '*pointerColorForeground', solarized['s_base1']
    xresource '*pointerColorBackground', solarized['s_base01']
    xresource '*color0', solarized['s_base02']
    xresource '*color1', solarized['s_red']
    xresource '*color2', solarized['s_green']
    xresource '*color3', solarized['s_yellow']
    xresource '*color4', solarized['s_blue']
    xresource '*color5', solarized['s_magenta']
    xresource '*color6', solarized['s_cyan']
    xresource '*color7', solarized['s_base2']
    xresource '*color8', solarized['s_base03']
    xresource '*color9', solarized['s_orange']
    xresource '*color10', solarized['s_base01']
    xresource '*color11', solarized['s_base00']
    xresource '*color12', solarized['s_base0']
    xresource '*color13', solarized['s_violet']
    xresource '*color14', solarized['s_base1']
    xresource '*color15', solarized['s_base3']
  end

  share_properties :xresources_solarized_light do
    xresource '*foreground', solarized['s_base00']
    xresource '*background', solarized['s_base3']
    xresource '*fadeColor', solarized['s_base3']
    xresource '*cursorColor', solarized['s_base01']
    xresource '*pointerColorForeground', solarized['s_base01']
    xresource '*pointerColorBackground', solarized['s_base1']
    xresource '*color0', solarized['s_base02']
    xresource '*color1', solarized['s_red']
    xresource '*color2', solarized['s_green']
    xresource '*color3', solarized['s_yellow']
    xresource '*color4', solarized['s_blue']
    xresource '*color5', solarized['s_magenta']
    xresource '*color6', solarized['s_cyan']
    xresource '*color7', solarized['s_base2']
    xresource '*color8', solarized['s_base03']
    xresource '*color9', solarized['s_orange']
    xresource '*color10', solarized['s_base01']
    xresource '*color11', solarized['s_base00']
    xresource '*color12', solarized['s_base0']
    xresource '*color13', solarized['s_violet']
    xresource '*color14', solarized['s_base1']
    xresource '*color15', solarized['s_base3']
  end
end
