# encoding: UTF-8
#
# Copyright 2015, Ole Claussen <claussen.ole@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

#<
# Creates an X resources file, by default `~/.Xresources`.
#>

include_resource 'mixin/user_info'
include_resource 'mixin/dotfile'

resource_name :xresources_dotfile

provides :dotfile do |node|
  result = false
  result ||= node.run_context.resource_builder.name =~ regex_from_app_name('xresources')
  result ||= node.run_context.resource_builder.name =~ regex_from_app_name('xdefaults')
  result
end

def initialize(name, run_context = nil)
  super(name, run_context)

  target '.Xresources'
  target '.Xdefaults' if name =~ regex_from_app_name('xdefaults')
  template_source 'xclient/xresources.erb'
end

class XResource
  def initialize(name, value)
    @name = name
    @value = value
  end

  def to_s
    "#{@name}: #{@value}"
  end
end

#<> @property xresource @args (name, value) Configure an X resource.
property :xresource, ::Chef::CookieCutter::FancyProperty,
         collect: true, coerce_class: XResource
